Monitoring - Add Dashboard
ダッシュボードを監視ビューに保存するように要求します。
POST http://<Servername>/OperationsManager/monitoring/dashboard
要求本文
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| 名前 | 必須 | 型 | 説明 |
|---|---|---|---|
| name | True |
string |
コンポーネントの名前 |
| componentType |
string |
コンポーネントの種類 |
|
| config |
string |
コンポーネント構成 |
|
| description |
string |
コンポーネントの説明 |
|
| mpDescription |
string |
MPの説明 |
|
| mpId |
string |
Mp ID |
|
| mpName |
string |
MP名 |
|
| mpVersion |
string |
MPバージョン |
|
| path |
string |
経路 |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
わかりました。ダッシュボードが正常に保存されました Media Types: "application/json", "text/json", "application/xml", "text/xml" |
例
Monitoring_AddDashboard
要求のサンプル
POST http://<Servername>/OperationsManager/monitoring/dashboard
{
"mpId": "dcfdedc4-68bd-42b4-1e9a-ba94b1577732",
"mpName": "Notifications Internal Library",
"path": "Monitoring",
"name": "Notification Dashsboard",
"description": "test",
"config": null,
"componentType": null
}
応答のサンプル
{
"id": "7c7cd385-30f5-312f-9123-31c2f22f6edf",
"name": "Notification Dashsboard",
"description": "test",
"mpId": "dcfdedc4-68bd-42b4-1e9a-ba94b1577732",
"componentType": null,
"config": null
}
定義
| 名前 | 説明 |
|---|---|
|
Component |
|
|
Monitoring |
ComponentResponse
| 名前 | 型 | 説明 |
|---|---|---|
| componentType |
string |
コンポーネントの種類 |
| config |
string |
設定 |
| description |
string |
コンポーネントの説明 |
| id |
string |
身分証明書 |
| mpId |
string |
コンポーネントMP ID |
| name |
string |
コンポーネント名 |
MonitoringComponentRequest
| 名前 | 型 | 説明 |
|---|---|---|
| componentType |
string |
コンポーネントの種類 |
| config |
string |
コンポーネント構成 |
| description |
string |
コンポーネントの説明 |
| mpDescription |
string |
MPの説明 |
| mpId |
string |
Mp ID |
| mpName |
string |
MP名 |
| mpVersion |
string |
MPバージョン |
| name |
string |
コンポーネントの名前 |
| path |
string |
経路 |